//########################
//IllustratorCS3で2つのオブジェクトの位置とサイズを合わせます。
//■■■使い方■■■
//IllustratorCS3で2つの画像を選択します。
//このときクリッピングマスクは選択しないでください。
//「2つを前面に合わせる.jsx」を実行すると前面の画像の位置とサイズに
//背面の画像が移動します。「2つを背面に合わせる.jsx」はその逆です。
//たけうちとおる
//########################

main();

function main(){
	if (app.documents.length == 0){
		alert("ドキュメントを開いてください");
		return;
	}
	if (app.selection.length != 2){
		alert("オブジェクトを2つ選択してください");
		return;
	}
	var myB1 = app.selection[0].geometricBounds;
	var myX = myB1[0];
	var myY = myB1[1];
	var myW = myB1[2]-myX;
	var myH = myY-myB1[3];
	var myPos = new Array(2);
	myPos[0] = myX;
	myPos[1] = myY;
	app.selection[1].position = myPos;
	app.selection[1].width = myW;
	app.selection[1].height = myH;
}